sysutils/decode-dimms - The NetBSD Packages Collection

Decode memory DIMM SPD ROM info

decode-dimms is a small utility that displays the contents of DIMM memory
SPD ROMs in human-readable form.  (It is part of a larger collection of
https://git.kernel.org/pub/scm/utils/i2c-tools - most of which is very
Linux-specific.)

This version of decode-dimms can even directly read the SPD ROM data from
the sysctl variables created by NetBSD's spdmem(4) device driver.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfdecode-dimms-4.2.20201004nb1.tgz
NetBSD 8.0earmv7hfdecode-dimms-4.2.20201004.tgz
NetBSD 8.0earmv7hfdecode-dimms-4.2.20201004nb1.tgz
NetBSD 8.0i386decode-dimms-4.2.20201004.tgz
NetBSD 8.0i386decode-dimms-4.2.20201004nb1.tgz
NetBSD 8.0powerpcdecode-dimms-4.2.20201004.tgz
NetBSD 8.0powerpcdecode-dimms-4.2.20201004nb1.tgz
NetBSD 8.0powerpcdecode-dimms-4.2.20201004nb1.tgz
NetBSD 8.0powerpcdecode-dimms-4.2.20201004nb1.tgz
NetBSD 8.0x86_64decode-dimms-4.2.20201004.tgz
NetBSD 8.0x86_64decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0aarch64decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0aarch64decode-dimms-4.2.20201004.tgz
NetBSD 9.0aarch64decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0alphadecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0alphadecode-dimms-4.2.20201004.tgz
NetBSD 9.0alphadecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0earmdecode-dimms-4.2.20201004.tgz
NetBSD 9.0earmdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0earmdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0earmv6hfdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0earmv6hfdecode-dimms-4.2.20201004.tgz
NetBSD 9.0earmv6hfdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0earmv7hfdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0earmv7hfdecode-dimms-4.2.20201004.tgz
NetBSD 9.0earmv7hfdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0earmv7hfdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0i386decode-dimms-4.2.20201004.tgz
NetBSD 9.0i386decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0mips64ebdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0mips64ebdecode-dimms-4.1.20200907.tgz
NetBSD 9.0mips64ebdecode-dimms-4.2.20201004.tgz
NetBSD 9.0mips64ebdecode-dimms-4.2.20201004.tgz
NetBSD 9.0mips64ebdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0powerpcdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0powerpcdecode-dimms-4.2.20201004.tgz
NetBSD 9.0powerpcdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0powerpcdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0sparc64decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0sparc64decode-dimms-4.2.20201004.tgz
NetBSD 9.0sparc64decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0sparcdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0sparcdecode-dimms-4.1.20200907.tgz
NetBSD 9.0sparcdecode-dimms-4.2.20201004.tgz
NetBSD 9.0sparcdecode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0x86_64decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0x86_64decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0x86_64decode-dimms-4.2.20201004.tgz
NetBSD 9.0x86_64decode-dimms-4.2.20201004nb1.tgz
NetBSD 9.0x86_64decode-dimms-4.2.20201004nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.